"Move issues" permission not working for Non member

2010-04-13 21:22 - Patrick Dubois

Status: Closed Start date: 2010-04-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version: 0.9.4   

Resolution: Fixed Affected version: 0.9.3

Description

Use case:

Bob is a developper on public project A and he wants to move an Issue to public project B. He's a Developper on project A with all

the "Issue tracking" permissions enabled, including "Move issues". He's a Non member on project B and the Non members also have

all the "Issue tracking" permissions enabled, including "Move issues".

According to permissions, he should be able to move an Issue from project A to project B but he can't, in Redmine v0.9.3 anyway. So

that's a bug IMHO.

The workaround is to give Bob the role "Rapporteur" in project B (in French, not sure about the term in the English version).

"Rapporteur" also has all the "Issue tracking" permissions enabled. In that scenario, Bob can indeed move an Issue from project A to

B.

That's inconvenient though because we need to give everyone the "Rapporteur" role in every single project.

Associated revisions

Revision 3683 - 2010-04-18 14:47 - Jean-Philippe Lang

Fixes behaviour of move_issues permission for non member role (#5309).

History

#1 - 2010-04-18 14:45 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.9.4

- Affected version (unused) set to 0.9.3

- Resolution set to Fixed

- Affected version set to 0.9.3

Fixed in r3683.

When move_issues permissions is given to the non member role, users can now move issues to any active project.

#2 - 2010-04-19 21:50 - Patrick Dubois

Thanks for the quick fix!

#3 - 2010-04-30 19:28 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#4 - 2011-10-25 12:53 - Jerald Marquez
